Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class State

    java.lang.Object
      net.sourceforge.pebble.domain.State

All Implemented Interfaces:
  java.io.Serializable

    public class State

extends java.lang.Object
implements java.io.Serializable

Represents a state.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`static State` | `APPROVED`
`static State` | `PENDING`
`static State` | `PUBLISHED`
`static State` | `REJECTED`
`static State` | `UNPUBLISHED`

Method Summary
`boolean` | `equals(java.lang.Object o)` Determines whether the specified object is equal to this one.
`java.lang.String` | `getName()` Gets the name of this state.
`static State` | `getState(java.lang.String name)`
`int` | `hashCode()` Gets the hashcode of this object.
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### APPROVED

    public static final State APPROVED

### REJECTED

    public static final State REJECTED

### PENDING

    public static final State PENDING

### UNPUBLISHED

    public static final State UNPUBLISHED

### PUBLISHED

    public static final State PUBLISHED

Method Detail

### getState

    public static State getState(java.lang.String name)

### getName

    public java.lang.String getName()

  Gets the name of this state.

  Returns:
    the name as a String

### hashCode

    public int hashCode()

  Gets the hashcode of this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode as an int

### equals

    public boolean equals(java.lang.Object o)

  Determines whether the specified object is equal to this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to compare against
  Returns:
    true if Object o represents the same category, false otherwise

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.